addHook("PlayerThink", function(player)
	if player.distributesuper == nil then player.distributesuper = 1 end
	if player.wepchancooldown == nil then player.wepchancooldown = 0 end
	if player.wepchancooldown > 0 then player.wepchancooldown = $1-1 end
end)

COM_AddCommand("Superrun_type", function(player, typeans)
	if typeans == nil then
		CONS_Printf(player, "")
		CONS_Printf(player, "This command allows you to change the distribition method of rings for super run.")
		CONS_Printf(player, "This command ONLY works for Co-Op")
		CONS_Printf(player, "")
		CONS_Printf(player, "Options:")
		CONS_Printf(player, "0 - Off")
		CONS_Printf(player, "1 - SuperRun (Default)")
		CONS_Printf(player, "2 - Sonic 2 3D/AGES (50 rings on load)")
		CONS_Printf(player, "3 - Sonic 2 3D/AGES (50 when rings 0)")
		CONS_Printf(player, "")
	else
		local typestring = string.lower(typeans)
		if typestring == "0"
		or typestring == "off"
		or typestring == "disable"
		or typestring == "no"
		or typestring == "false"
			if player.distributesuper == 0
				CONS_Printf(player, "")
				CONS_Printf(player, "Distribution type is already off!")
				CONS_Printf(player, "")
			else
				CONS_Printf(player, "")
				CONS_Printf(player, "Distribution type has been turned off.")
				CONS_Printf(player, "")
				player.distributesuper = 0
			end
		elseif typestring == "1"
		or typestring == "default"
		or typestring == "superrun"
		or typestring == "super"
		or typestring == "normal"
		or typestring == "yes"
		or typestring == "true"
		or typestring == "on"
			if player.distributesuper == 1
				CONS_Printf(player, "")
				CONS_Printf(player, "Distribution type is already Super Run!")
				CONS_Printf(player, "")
			else
				CONS_Printf(player, "")
				CONS_Printf(player, "Distribution type has been changed to Super Run.")
				CONS_Printf(player, "")
				player.distributesuper = 1
			end
		elseif typestring == "2"
		or typestring == "sonic2"
		or typestring == "ages"
		or typestring == "sonic23d"
		or typestring == "sonic2ages"
			if player.distributesuper == 2
				CONS_Printf(player, "")
				CONS_Printf(player, "Distribution type is already Normal Sonic 2!")
				CONS_Printf(player, "")
			else
				CONS_Printf(player, "")
				CONS_Printf(player, "Distribution type has been changed to Normal Sonic 2.")
				CONS_Printf(player, "")
				player.distributesuper = 2
			end
		elseif typestring == "3"
		or typestring == "sonic2alt"
		or typestring == "agesalt"
			if player.distributesuper == 3
				CONS_Printf(player, "")
				CONS_Printf(player, "Distribution type is already Alternate Sonic 2!")
				CONS_Printf(player, "")
			else
				CONS_Printf(player, "")
				CONS_Printf(player, "Distribution type has been changed to Alternate Sonic 2.")
				CONS_Printf(player, "")
				player.distributesuper = 3
			end
		else
			CONS_Printf(player, "")
			CONS_Printf(player, "This is an invalid option! Please enter a valid setting.")
			CONS_Printf(player, "")
		end
	end
end)

